<html>
<head>
<title>Read HTML5 Data Attribute via jQuery</title>
<style>

.demo-image{
	cursor:-webkit-zoom-in;
}
</style>
</head>
<body>
	
<img class="demo-image" src="photo_thumbnail.jpg" title="Zoom In" data-action="zoom-in" data-imgname="photo_enlarge.jpg">
	
<script src="http://code.jquery.com/jquery-1.10.2.js"></script>
<script type="text/javascript">
	$(".demo-image").click( function() {
		var currentImage = $(this).attr("src");
		var action = $(this).data("action");
		$(this).attr("src", $(this).data("imgname"));
		$(this).data("imgname", currentImage);
		if(action=="zoom-in") {
			$(this).attr("title","Zoom Out");
			$(this).data("action","zoom-out");
			$(this).css("cursor", "-webkit-zoom-out");
		} else {
			$(this).attr("title","Zoom In");
			$(this).data("action","zoom-in");
			$(this).css("cursor", "-webkit-zoom-in");
		}
	});
</script>
</body>
</html>